import { ActorRdfResolveHypermediaLinks } from '@comunica/bus-rdf-resolve-hypermedia-links';
import type { IActionRdfResolveHypermediaLinks, IActorRdfResolveHypermediaLinksOutput, MediatorRdfResolveHypermediaLinks } from '@comunica/bus-rdf-resolve-hypermedia-links';
import type { IActorArgs, IActorTest, TestResult } from '@comunica/core';
import type { ILink } from '@comunica/types';
/**
 * A comunica Traverse Annotate Source Graph RDF Resolve Hypermedia Links Actor.
 */
export declare class ActorRdfResolveHypermediaLinksTraverseAnnotateSourceGraph extends ActorRdfResolveHypermediaLinks {
    private readonly mediatorRdfResolveHypermediaLinks;
    constructor(args: IActorRdfResolveHypermediaLinksTraverseAnnotateSourceGraphArgs);
    test(action: IActionRdfResolveHypermediaLinks): Promise<TestResult<IActorTest>>;
    run(action: IActionRdfResolveHypermediaLinks): Promise<IActorRdfResolveHypermediaLinksOutput>;
    /**
     * Adds a transformer to the given link that transforms all quads that are returned from the link's document
     * into quads that have the link's url as graph.
     * @param link The link to transform.
     */
    mapLink(link: ILink): ILink;
}
export interface IActorRdfResolveHypermediaLinksTraverseAnnotateSourceGraphArgs extends IActorArgs<IActionRdfResolveHypermediaLinks, IActorTest, IActorRdfResolveHypermediaLinksOutput> {
    mediatorRdfResolveHypermediaLinks: MediatorRdfResolveHypermediaLinks;
}
